{% filter indent(width=4, first=False) %}
{% include "./_mem_offset.jinja" %}
fullyconnected_forward<{{ in_name[0]|upper }}_NB_CHANNELS,
                       {{ in_name[0]|upper }}_IN_HEIGHT,
                       {{ in_name[0]|upper }}_IN_WIDTH,
                       {{ out_name[0]|upper }}_NB_OUTPUTS,
                       {{ out_name[0]|upper }}_OUT_HEIGHT,
                       {{ out_name[0]|upper }}_OUT_WIDTH,
                       {{name|upper}}_ACTIVATION>
                       ({{in_name[0]}}, {{out_name[0]}}, {{in_name[1]}}, {{in_name[2]}}, {{name|upper}}_RESCALING);
{% include "./_save_outputs.jinja" %}
{% endfilter %}
